#include<bits/stdc++.h>
using namespace std;
long long check(int n) {
	return (n/2)*(1+n);
}
int main() {
	long long t;
	cin >> t;
	string res[t];
	long long s = 0;
	while(t--) {
		long long n,m,k;
		cin >> n >> m >> k;
		if(k == 1) {
			if(check(n) > m)res[s++] = "Nie";
			else res[s++] = "Tak";
		}
		else if(k > n) {
			res[s++] = "Nie";
		}
		else {
			k--;
			n--;
			long long brg = n/k; // broj ljudi po grupama
			long long brp = n - brg*k + 1;//broj ljudi prve grupe ukoliko je nedeljiv
			m -= check(brp);
			m -= k * check(brg);
			if(m < 0)res[s++] = "Nie";
			else res[s++] = "Tak";
			//cout << brg << " " << brp << endl;
		}
	}
	for(int i = 0; i < s; ++i)cout << res[i] << "\n";
}